Bug 1005178 - activation with certificate do not transfer all entitlements from it to DB
activation with certificate do not transfer all entitlements from it to DB
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
560
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
:
Depends On:
Blocks: sat560-blockers
  Show dependency treegraph
 
Reported: 2013-09-06 07:22 EDT by Jan Hutař
Modified: 2013-09-11 04:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 04:41:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2013-09-06 07:22:44 EDT
Description of problem:
I have activated Satellite with this certificate:

# grep '"rhel-server"' rhn.cert 
  <rhn-cert-field name="channel-families" quantity="52502" flex="50000" family="rhel-server"/>

but after that in webUI I see only:

Overview -> Subscription Management -> Software Channel Entitlements
-> filter "core server":
  Regular Consumed: 0
  Regular Available: 61
  Consumed Flex Guests: 0
  Available Flex Guests: 2950
  Systems Subscribed: 0

And same number in DB:
rhnschema=# select id,name,label from rhnchannelfamily where label = 'rhel-server';
  id  |                  name                  |    label    
------+----------------------------------------+-------------
 1048 | Red Hat Enterprise Linux (core server) | rhel-server
(1 row)

rhnschema=# select * from rhnprivatechannelfamily where channel_family_id = 1048;
 channel_family_id | org_id | max_members | current_members | fve_max_members | fve_current_members |           created            |           modified      
      
-------------------+--------+-------------+-----------------+-----------------+---------------------+------------------------------+-------------------------
------
              1048 |      1 |          61 |               0 |            2950 |                   0 | 2013-09-02 03:17:38.75829-04 | 2013-09-06 07:11:43.9776
46-04
(1 row)


Version-Release number of selected component (if applicable):
spacewalk-backend-tools-2.0.3-12.el6sat.noarch
spacewalk-schema-2.0.2-11.el6sat.noarch
satellite-schema-5.6.0.10-1.el6sat.noarch


How reproducible:
always


Steps to Reproduce:
1. # rhn-satellite-activate -vv --rhn-cert rhn.cert
2. # grep '"rhel-server"' rhn.cert
3. Overview -> Subscription Management -> Software Channel Entitlements
   -> filter "core server"


Actual results:
Activation works but numbers do not match to me.


Expected results:
Numbers should make sense.
Comment 1 Jan Hutař 2013-09-06 07:30:51 EDT
I have just discovered that when I do activate with --disconnected, numbers are OK, so I'm probably hitting size of mine account on Hosted. Is that possible?
Comment 2 Clifford Perry 2013-09-09 04:53:35 EDT
(In reply to Jan Hutař from comment #1)
> I have just discovered that when I do activate with --disconnected, numbers
> are OK, so I'm probably hitting size of mine account on Hosted. Is that
> possible?

Doubtful ... 

Needs investigating
Comment 3 Jan Hutař 2013-09-09 05:55:51 EDT
As per Cliff's idea I do verify that initial buggy numbers in webUI ("Regular Available: 61") comes from certificate activated on the Satellite before which had:

[...]
  <rhn-cert-field name="channel-families" quantity="3061" flex="3000" family="rhel-server"/>
[...]

(flexs do not match but I might have there some org with 10 flexs allocated or something?)

Note You need to log in before you can comment on or make changes to this bug.